Bug 1004158 - [abrt] evolution-3.8.5-2.fc19: __pthread_mutex_lock: Process /usr/bin/evolution was killed by signal 11 (SIGSEGV)
[abrt] evolution-3.8.5-2.fc19: __pthread_mutex_lock: Process /usr/bin/evoluti...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Milan Crha
Fedora Extras Quality Assurance
abrt_hash:ede7d5c0c86f9438170ccc1b065...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-04 02:28 EDT by Oren Oichman
Modified: 2015-02-17 12:03 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:03:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (98.35 KB, text/plain)
2013-09-04 02:28 EDT, Oren Oichman
no flags Details
File: cgroup (140 bytes, text/plain)
2013-09-04 02:28 EDT, Oren Oichman
no flags Details
File: core_backtrace (88.94 KB, text/plain)
2013-09-04 02:29 EDT, Oren Oichman
no flags Details
File: dso_list (30.87 KB, text/plain)
2013-09-04 02:29 EDT, Oren Oichman
no flags Details
File: environ (1.81 KB, text/plain)
2013-09-04 02:29 EDT, Oren Oichman
no flags Details
File: exploitable (82 bytes, text/plain)
2013-09-04 02:29 EDT, Oren Oichman
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-04 02:29 EDT, Oren Oichman
no flags Details
File: maps (147.68 KB, text/plain)
2013-09-04 02:29 EDT, Oren Oichman
no flags Details
File: open_fds (1.88 KB, text/plain)
2013-09-04 02:29 EDT, Oren Oichman
no flags Details
File: proc_pid_status (966 bytes, text/plain)
2013-09-04 02:29 EDT, Oren Oichman
no flags Details

  None (edit)
Description Oren Oichman 2013-09-04 02:28:48 EDT
Description of problem:
I tried to open an Email with a large attachment file

Version-Release number of selected component:
evolution-3.8.5-2.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        evolution --online
crash_function: __pthread_mutex_lock
executable:     /usr/bin/evolution
kernel:         3.10.10-200.fc19.x86_64
runlevel:       N 5
uid:            1000
var_log_messages: Sep  4 08:59:37 binango abrt[2920]: Saved core dump of pid 2639 (/usr/bin/evolution) to /var/tmp/abrt/ccpp-2013-09-04-08:59:36-2639 (377409536 bytes)

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 __pthread_mutex_lock at pthread_mutex_lock.c:50
 #1 g_mutex_lock at gthread-posix.c:210
 #2 g_settings_backend_watch_weak_notify at gsettingsbackend.c:159
 #3 weak_refs_notify at gobject.c:2470
 #5 settings_mail_formatter_dispose at e-settings-mail-formatter.c:98
 #7 g_ptr_array_foreach at garray.c:1456
 #8 ptr_array_free at garray.c:1081
 #9 g_datalist_clear at gdataset.c:277
 #11 handle_mail_request at e-mail-request.c:201
 #12 run_in_thread at gsimpleasyncresult.c:871
Comment 1 Oren Oichman 2013-09-04 02:28:53 EDT
Created attachment 793490 [details]
File: backtrace
Comment 2 Oren Oichman 2013-09-04 02:28:56 EDT
Created attachment 793491 [details]
File: cgroup
Comment 3 Oren Oichman 2013-09-04 02:29:00 EDT
Created attachment 793492 [details]
File: core_backtrace
Comment 4 Oren Oichman 2013-09-04 02:29:03 EDT
Created attachment 793493 [details]
File: dso_list
Comment 5 Oren Oichman 2013-09-04 02:29:07 EDT
Created attachment 793494 [details]
File: environ
Comment 6 Oren Oichman 2013-09-04 02:29:10 EDT
Created attachment 793495 [details]
File: exploitable
Comment 7 Oren Oichman 2013-09-04 02:29:13 EDT
Created attachment 793496 [details]
File: limits
Comment 8 Oren Oichman 2013-09-04 02:29:18 EDT
Created attachment 793497 [details]
File: maps
Comment 9 Oren Oichman 2013-09-04 02:29:21 EDT
Created attachment 793498 [details]
File: open_fds
Comment 10 Oren Oichman 2013-09-04 02:29:24 EDT
Created attachment 793499 [details]
File: proc_pid_status
Comment 11 Milan Crha 2013-09-04 07:21:45 EDT
Thanks for a bug report. The crash seems to me like some kind of a memory corruption or double free, because after a brief look through the code all things seems to be done correctly, even with respect of the double free. By any chance, can you reproduce the crash reliably, please? Maybe with certain message(s).
Comment 12 Oren Oichman 2013-09-08 04:59:06 EDT
Hay,

no problem , let me know how do you want me to reproduce it 

do you want me to open evolution from the command line and attach the output to the case ?

thanks in advanced
Oren
Comment 13 Milan Crha 2013-09-09 04:40:49 EDT
Correct, run evolution from a command line and try to reproduce it. Then provide detailed steps what you did (so I'll be able to test it here too, following your steps), and the output from the console, if any.
Comment 14 Fedora Admin XMLRPC Client 2014-09-04 10:29:16 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 15 Fedora End Of Life 2015-01-09 14:42:55 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2015-02-17 12:03:04 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.